
require.config({

    baseUrl : URL_BIN_DIR +'QUI',

    paths : {
        "package"  : URL_OPT_DIR +'bin',
        "qui"      : URL_OPT_DIR +'bin/qui/src',
        "locale"   : URL_VAR_DIR +'locale/bin',
        "controls" : URL_BIN_DIR +'QUI/controls'
    },

    waitSeconds : 0,
    catchError  : true,

    map : {
        '*': {
            'css': URL_OPT_DIR +'bin/qui/src/lib/css.js'
        }
    }
});

require([
    'qui/QUI',
    'controls/menu/Responsive'
], function(QUI, ResponsiveMenu)
{
    "use strict";

    var Menu = new ResponsiveMenu({
        project : QUIQQER_PROJECT.name,
        lang    : QUIQQER_PROJECT.lang,
        id      : 1
    });

    document.getElement('.qui-control-menu').addEvent(
        'click',
        function() {
            Menu.toggle();
        }
    );
});